Nano Banana 2
curl --request POST \
--url https://api.krea.ai/generate/image/google/nano-banana-2 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "Scottish highlands, with lone bagpipers playing among stone ruins."
}
'import requests
url = "https://api.krea.ai/generate/image/google/nano-banana-2"
payload = { "prompt": "Scottish highlands, with lone bagpipers playing among stone ruins." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: 'Scottish highlands, with lone bagpipers playing among stone ruins.'})
};
fetch('https://api.krea.ai/generate/image/google/nano-banana-2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "backlogged",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": null,
"result": null,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Image
Nano Banana 2
Cheaper quality version of Nano Banana.
POST
/
generate
/
image
/
google
/
nano-banana-2
Nano Banana 2
Pricing
Fixed API prices in USD.
| Resolution | Price |
|---|---|
| 1K | $0.08 |
| 2K | $0.12 |
| 4K | $0.16 |
Deprecated request aliases
Deprecated request aliases
These aliases are accepted for compatibility only and are not shown in the request schema.
| Deprecated | Use instead | Accepted until |
|---|---|---|
imageUrls | image_urls | 2026-06-19 |
aspectRatio | aspect_ratio | 2026-06-19 |
style_images | image_urls | 2026-09-11 |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
URL to receive a POST request when the job completes. The webhook will receive the job data including results.
Body
application/json
Minimum string length:
3Width of the generated image.
Height of the generated image.
Image prompts to use for the generation.
Can be an external URL, base64 data URI, or uploaded asset URL.
Maximum string length:
1024Available options:
4:1, 21:9, 1:1, 4:3, 3:2, 2:3, 5:4, 4:5, 3:4, 16:9, 9:16, 1:4, 1:8 Available options:
1K, 2K, 4K Response
The resulting job data. This will be returned in a pending state until the job is completed. See /jobs/{id} for retrieving the results.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
backlogged, queued, scheduled, processing, sampling, intermediate-complete, completed, failed, cancelled Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Show child attributes
Show child attributes
Was this page helpful?